
default_settings = {
    'internal_models': {
        'energy_detection': {
            'model_name': 'energy_detection',
            'model_purpose': 'Senses',
            'model_type': 'NeuralNetwork',
            'input_source': 'perception.array("Energy")',
            'input_size': 9,
            'output_destination': 'movement_decision',
            'output_size': 9,
            'activation_type': 'sigmoid',
            'loss_type': 'multilabel_binary_crossentropy',
            'optimizer': 'adam',
        },
        'dooder_detection': {
            'model_name': 'dooder_detection',
            'model_purpose': 'Senses',
            'model_type': 'NeuralNetwork',
            'input_source': 'perception.array("Dooder")',
            'input_size': 9,
            'output_destination': 'movement_decision',
            'output_size': 9,
            'activation_type': 'sigmoid',
            'loss_type': 'multilabel_binary_crossentropy',
            'optimizer': 'adam',
        },
        'hazard_detection': {
            'model_name': 'hazard_detection',
            'model_purpose': 'Senses',
            'model_type': 'NeuralNetwork',
            'input_source': 'perception.array("Hazard")',
            'input_size': 9,
            'output_destination': 'movement_decision',
            'output_size': 9,
            'activation_type': 'sigmoid',
            'loss_type': 'multilabel_binary_crossentropy',
            'optimizer': 'adam',
        },
        'move_decision': {
            'model_name': 'move_decision',
            'model_purpose': 'Decisions',
            'model_type': 'NeuralNetwork',
            'input_source': ['energy_detection',
                             'dooder_detection',
                             'hazard_detection'],
            'input_size': 9,
            'output_destination': None,
            'output_size': 9,
            'activation_type': 'softmax',
            'loss_type': 'categorical_crossentropy',
            # 'activation_type': 'sigmoid',
            # 'loss_type': 'multilabel_binary_crossentropy',
            'optimizer': 'adam',
        }
    },
}
